summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-01-07 11:42:01 +0100
committerHolger Levsen <holger@layer-acht.org>2015-01-07 12:00:35 +0100
commit7667809414bd2a7e86a9755357f2d75511cc081c (patch)
tree13c417a2602f5902fd056a18003d6a12aa9a04f6 /bin
parent1b338ccc1c93526503e6208136129d01f51f97b9 (diff)
downloadjenkins.debian.net-7667809414bd2a7e86a9755357f2d75511cc081c.tar.xz
reproducible: fixup convert_into_source_packages_only() once more
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_create_meta_pkg_sets.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_create_meta_pkg_sets.sh b/bin/reproducible_create_meta_pkg_sets.sh
index 12193367..04c0c3c2 100755
--- a/bin/reproducible_create_meta_pkg_sets.sh
+++ b/bin/reproducible_create_meta_pkg_sets.sh
@@ -22,8 +22,8 @@ convert_into_source_packages_only() {
for PKG in $(cat $TMPFILE) ; do
SRC=""
if [ ! -z "$PKG" ] ; then
- SRC=$(grep-dctrl -X -n -FPackage -sSource $PKG $PACKAGES )
- [ ! -z "$SRC" ] || SRC=$(grep-dctrl -X -n -FPackage -sPackage $PKG $PACKAGES )
+ SRC=$(grep-dctrl -X -n -FPackage -sSource $PKG $PACKAGES || true )
+ [ ! -z "$SRC" ] || SRC=$(grep-dctrl -X -n -FPackage -sPackage $PKG $PACKAGES || true)
fi
[ ! -z "$SRC" ] || SRC=$(echo $PKG )
echo $SRC >> $TMP2